Bug 1023581 - (CVE-2013-4469) CVE-2013-4469 OpenStack Nova: Incomplete fix for CVE-2013-2096
CVE-2013-4469 OpenStack Nova: Incomplete fix for CVE-2013-2096
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131031,repor...
: Security
Depends On: 1066777
Blocks: 1023240
  Show dependency treegraph
 
Reported: 2013-10-25 15:51 EDT by Kurt Seifried
Modified: 2016-04-27 00:45 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-15 03:00:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-10-25 15:51:35 EDT
Thierry Carrez of the OpenStack project reports:

Title: Potential Nova denial of service through compressed disk images
Reporter: Pedraig Brady from Red Hat
Products: Nova
Affects: All versions

Description:
Pedraig Brady from Red Hat additionally discovered that OSSA 2013-012 did 
not fully address CVE-2013-2096 in the non-default case where
use_cow_images=False, and malicious qcow images are being transferred
from Glance. In that specific case, an authenticated user could still
consume large amounts of disk space for each instance using the
malicious image, potentially also resulting in a Denial of Service
attack on Nova compute nodes. The provided fixes address both issues.

This issue was CVE SPLIT, please see Bz1023239 for the patches for this issue.
Comment 2 Kurt Seifried 2013-11-27 02:48:41 EST
Statement:

The Red Hat Security Response Team has rated this issue as having moderate security impact. This issue only affects systems that implemented the fix for  CVE-2013-2096 (Bz963462) which fails to completely address the problem. For  additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.
Comment 3 Fedora Update System 2013-12-11 21:57:18 EST
openstack-nova-2013.1.4-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-12-13 22:44:27 EST
openstack-nova-2013.2-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.